PHP Manual
Prev |  | Next

# dbplus_curr

(4.1.0 - 4.2.3 only, PECL)

dbplus_curr -- Get current tuple from relation

## Description

int dbplus_curr ( resource relation, array &tuple )

Reads the data for the current tuple for the given `relation`.

## Parameters

`relation`

  A relation opened by dbplus_open().

`tuple`

  The data will be passed back in this parameter, as an associative array.

## Return Values

The function will return zero (aka. DBPLUS_ERR_NOERR) on success or a db++ error code on failure.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

dbplus_first()
dbplus_prev()
dbplus_next()
dbplus_last()
dbplus_errcode()

Prev | Home | Next
dbplus_close | Up | dbplus_errcode